# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.http
Interface HttpUrlConnectionSource

All Known Implementing Classes:
  JdkHttpUrlConnectionSource

    public interface HttpUrlConnectionSource

An object that creates new `HttpURLConnection`s.

Method Summary
`java.net.HttpURLConnection` `openConnection(java.net.URL url)` Creates a new `HttpURLConnection` for `url`.

Method Detail

### openConnection

    java.net.HttpURLConnection openConnection(java.net.URL url)
                                              throws java.io.IOException

  Creates a new `HttpURLConnection` for `url`.

  Parameters:
    `url` - url to connect to
  Throws:
    `java.lang.IllegalArgumentException` - if url is not an HTTP url
    `java.io.IOException`